#include <stdio.h>

int main () {

int m, n, i, j, k;
int br;
int sum;
int pom=0;

scanf("%d %d", &m, &n);
if (n<=0 || m<=0) {
  printf ("-1\n");
  return -1;
}
else if (n>m) {
  printf ("-1\n");
  return -1;
}

for (i=0; i<(m-n)+1; i++) {
  br=0;
  sum=0;
  k=i;
  for (j=0; j<n; j++) {
    br=br+1;
    pom=br+i;
    sum=sum+pom;
  }
printf("%d ", sum);
}
printf ("\n");
  return 0;
}

